Start WebAuthn authentication
POST
/api/v1/auth/2fa/webauthn/authenticate
const url = 'https://api.ultimateteam.ai/api/v1/auth/2fa/webauthn/authenticate';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"two_factor_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/auth/2fa/webauthn/authenticate \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "two_factor_token": "example" }'Generate WebAuthn authentication options.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WebAuthnAuthenticateRequest
Request to start WebAuthn authentication.
object
two_factor_token
required
Two Factor Token
2FA token from login response
string
Examplegenerated
{ "two_factor_token": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Webauthn Authenticate Api V1 Auth 2Fa Webauthn Authenticate Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}